
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>导入导出注册表项的类 / iVAN</title>

    <meta name="description" content="导入导出注册表项的类 最近因为工作的需要,要对注册表项进行备份恢复,于是我就去了解了一下注册表的相关内容.原本我打算用RegSaveKey和RegRestoreKey来进行备份恢复.可是在使用过程中发现这两个函数使用起来非常麻烦,于是就寻找别的解决方法.经过一段时间的努力,我最终完成了注册表项导入导出的功能.这个类简介如下: 一.读取注册表项的各个键值,然后写到文件中 void ExportRegistry( CString cstrKeyRootName, //注册表根值,如HKEY_CURRENT_USER CS">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">导入导出注册表项的类</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近因为工作的需要，要对注册表项进行备份恢复，于是我就去了解了一下注册表的相关内容。原本我打算用RegSaveKey和RegRestoreKey来进行备份恢复。可是在使用过程中发现这两个函数使用起来非常麻烦，于是就寻找别的解决方法。经过一段时间的努力，我最终完成了注册表项导入导出的功能。这个类简介如下：</p>
<p>一、读取注册表项的各个键值，然后写到文件中</p>
<p><code>void ExportRegistry(<br />
CString cstrKeyRootName, //注册表根值，如HKEY_CURRENT_USER<br />
CString cstrKeyName,　　 //注册表子键<br />
CString cstrFileName)　　//导出的文件名（包括路径）<br />
{<br />
FILE *fp;<br />
HKEY hKeyRootName;<br />
CString cstrFullPathStr(_T(""));<br />
if(cstrKeyRootName == _T("HKEY_CLASSES_ROOT"))<br />
　hKeyRootName = HKEY_CLASSES_ROOT;<br />
else if(cstrKeyRootName == _T("HKEY_CURRENT_USER"))<br />
　hKeyRootName = HKEY_CURRENT_USER;<br />
else if(cstrKeyRootName == _T("HKEY_LOCAL_MACHINE"))<br />
　hKeyRootName = HKEY_LOCAL_MACHINE;<br />
else if(cstrKeyRootName == _T("HKEY_USERS"))<br />
　hKeyRootName = HKEY_USERS;<br />
else if(cstrKeyRootName == _T("HKEY_PERFORMANCE_DATA"))<br />
　hKeyRootName = HKEY_PERFORMANCE_DATA;<br />
else if(cstrKeyRootName == _T("HKEY_CURRENT_CONFIG"))<br />
　hKeyRootName = HKEY_CURRENT_CONFIG;<br />
else if(cstrKeyRootName == _T("HKEY_DYN_DATA"))<br />
　hKeyRootName = HKEY_DYN_DATA;<br />
fp = fopen(cstrFileName, "w+");<br />
if(fp == NULL)<br />
{<br />
　MessageBox(NULL, _T("Error while creating the file"), _T("Registry export"), MB_OK);<br />
　return;<br />
}<br />
if(cstrKeyName.IsEmpty())<br />
　cstrFullPathStr = cstrKeyRootName;<br />
else<br />
　cstrFullPathStr = cstrKeyRootName + _T("\\") + cstrKeyName;<br />
//// First print the header ..... this may be different for some version of Windows... do manually change if required<br />
//Here need to add version check<br />
DWORD dwVersion = GetVersion();<br />
// Get build numbers for Windows NT or Win32s<br />
if (dwVersion &lt; 0x80000000)　　　　　　　　// Windows NT<br />
{<br />
　fprintf(fp, "%s\n", _T("Windows Registry Editor Version 5.00"));<br />
}<br />
else　　　　// Win32s<br />
{<br />
　fprintf(fp, "%s\n", _T("REGEDIT4"));<br />
}<br />
EnumerateValues(hKeyRootName, cstrKeyName, fp, cstrFullPathStr);<br />
EnumerateKey(hKeyRootName, cstrKeyName , fp , cstrFullPathStr);<br />
fclose(fp);<br />
}</code>这种方法比较原始，也比较复杂，是直接读取、枚举注册表的键值，然后一项一项的写到文件中。这种方法是我在参考Thanigai Murugan K.（具体的出处记不起来了）写的。他原来导出的函数中存在比较多的问题，一是不能导出所有的键值，二是导出的有些键值不符合规范，无法进行导入。我除了EnumerateValues函数没有修改外，其他的函数全都重新写了一遍。这个函数使用起来也非常方便，例如：<code>CRegisterExport re;<br />
re.ExportRegistry("HKEY_CURRENT_USER","Software\\VCKBASE","C:\\Test.reg");</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:42:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b3%a8%e5%86%8c%e8%a1%a8/" title="注册表">注册表</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/cstring/" title="cstring">cstring</a>, <a href="https://www.iamivan.net/tag/else/" title="else">else</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0%e5%af%bc%e5%87%ba/" title="函数导出">函数导出</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>导入导出注册表项的类的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MywrNPz.html" rel="bookmark">WinXP如何导入或导出注册表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  WinXP如何导入或导出注册表           一.将注册表项导出为普通文本文件 导出注册表项内容的步骤如下: 1.选中要导出的注册表项. 2.选择&quot;文件&quot;∣&quot;导出&quot;命令,打开&quot;导出注册表文件&quot;对话框. 3.在&quot;保存在&quot;下拉列表中可选择所导出的注册表文件的存放位置,在&quot;文件名&quot;文本框中用户可输入导出的注册表文件的名称,在&quot;导出范围&quot;选项组中,用户可选择&quot;全部&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVn05kz.html" rel="bookmark">使用注册表文件（REG）添加、修改或删除Windows注册表项和值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 简介 我们平时大多采用Regedit注册表编辑器来实现对注册表的修改操作,但 是这种手工操作费时费力,当你要对多台PC统一修改注册表时,就要怨念了.并且在某些情 况下,如果注册表编辑器被禁用了,那么这种方法也会失效.于是,推荐大家使用REG文件来 快速完成注册表的修改. REG文件实际上是一种注册表脚本文件,Regedit注册表编辑 器可以使用REG文件来导入.导出注册表的子项和值.双击REG文件(即用Regedit.exe 注册 表编辑器程序运行该文件)即可将其中的数据导入到注册表中.我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEg7Oqp.html" rel="bookmark">php mysql数据的导入导出&comma;数据表结构的导入导出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现数据的导入导出,数据表结构的导入导出 ********************************************************/         //         //包含Mysql数据库操作文件         //         require_once(&quot;MysqlDB.php&quot;);          /******************************************************* **类    名:MysqlDB			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGKRDb.html" rel="bookmark">Office2003 删除 COM 外接程序的注册表项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				COM 加载项可以安装在任何位置.Word 安装 COM 添加宏与交互的程序中删除 COM 外接程序的注册表项,然后重新启动 Word (在典型的实现方法. 操作步骤: 若要删除 COM 外接程序的注册表项,请按照下列步骤操作: 退出所有 Office 程序. 双击桌面上的支持模板快捷方式. 在支持模板中,单击疑难解答工具. 在Microsoft Word 疑难解答实用程序对话框中, COM 外接程序的注册表项列表中单击选择一项,然后单击删除. 当您收到一条消息,将 HKEY_CURRENT_U			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEW4vLp.html" rel="bookmark">清除Word常用选项：Office2003删除 Word Data 注册表项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大多数常用选项存储在 Word Data 注册表项.(若要查看这些选项,请单击选项在工具菜单上.一个常见的故障排除步骤是删除 Word Data 注册表项.下次启动 Word 时,Word 使用默认设置重建此数据键.如果通过删除 Word Data 注册表项未解决此问题,请转到步骤 2. 注意 如果您删除 Word Data 注册表项,Word 几个选项重置回其默认设置,如最近使用文件列表的文件菜单上的.此外,Word 会重置您在选项对话框中自定义的许多设置. 操作步骤: 若要删除 Word D			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGKQ1b.html" rel="bookmark">电脑中出现提示需要设置注册表项HKLM&bsol;Software怎么解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  电脑中出现提示需要设置注册表项HKLMSoftware怎么解决          1.按Win+R打开运行,输入regedit并回车; 2.在注册表中依次展开HKEY_LOCAL_MACHINESOFTWAREMicrosoft.NETFramework; 3.在右侧找到InstallRoot,并双击打开,将其值修改为.NET Framework的安装路径,比如为C:WINDOWSMicrosoft.NETFramework; 4.如果没有找到InstallRoot,则在该目录下新建一个字符			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLaJrRz.html" rel="bookmark">通过修改注册表项让Win7系统宽带网络加速</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				虽然说决定上网的绝大部分因素是宽带的流量,相对而言,针对机子上的加快上网速度的技巧的作用就是蚊子肉,但怎么说也是肉.通过修改注册表项,来实现上网速度的提升. 这个话题着实够老的了,但是老归老,电脑新手可是天天产生,很多朋友第一次接触电脑和网络就是用Windows7系统的,没经历过DOS.Win95.Win98甚至XP时代. 本文开始前,先说下加速的原理分析,不对的地方,还请大家多多指正! 上网加速原理分析: 通常情况下,TCP/IP默认的数据传输单元接受缓冲区的大小为576字节,要是将这个缓冲区			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3XR3M.html" rel="bookmark">如何新建注册表项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在通常情况下,需要对系统环境进行个性定制时,就可以在注册表中新建相应的注册表项,具体的数值类型选择可以根据需要实现的应用来定. 1.在键值项区空白处右击,然后选择&quot;新建&quot;,在级联菜单中选择合适的键值类型. 2.首先要修改键值的名称,完成后再在编辑框中定义其数据值,就可以新建完成注册表项.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvG8RWp.html" rel="bookmark">无法保存对hosts权限所作的更改 拒绝访问&lpar;权限，防止Windows主机文件、进程、注册表项进行操作和更改&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为Windows安装或修改配置. 无法保存对hosts权限所作的更改 拒绝访问 (权限,防止Windows主机文件.进程.注册表项进行操作和更改) 例如,下图: 1.使用Windows的&quot;管理员权限&quot;进行操作 或给当前的Windows用户分配此文件的写权限: 2.如果为文件的修改,可以先创建和复制文件副本其他地方,修改后覆盖 3.计算机安装的杀毒软件和管理软件,控制了文件修改权限,可以先&quot;取消勾选&quot;修改权限,操作完成后,然后还原到控制.小红伞eg:如下图.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeRDVb.html" rel="bookmark" class="title">PS调色教程专题</a>
					<div>
						今天三人舞为大家制作PS调色教程专题,供大家方便的学习,内容全部来自三联站内,上百个案例.         特定的色调加以改变,形成不同感觉的另一色调图片. 调色是Photoshop十大核心技术之一, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0l70M.html" rel="bookmark" class="title">ACCESS中调用后台存储过程</a>
					<div>
						ACCESS是一个Client/Server的优秀前端开发工具,具有易学易用,界面友好,开发简单,和其他数据库接口灵活. 但是,它要对大量数据处理时,速度比较慢.当有大量数据需要处理时,不能在Clie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRZ9eM.html" rel="bookmark" class="title">支付宝总裁：第三方支付是虾米生意</a>
					<div>
						第三方支付平台很好地解决了网络交易中的信用问题,却也因为带来资金沉淀.冲击银行业等金融风险而备受质疑,而央行的&lt;清算组织管理办法&gt;数易其稿后仍未公布,牌照未定的第三方支付业政策仍不明朗.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDoGBp.html" rel="bookmark" class="title">MySQL 4&period;1&period;0 中文参考手册 --- 6&period;3  用于 SELECT 和 WHERE 子句的函数 &lpar;2&rpar;</a>
					<div>
						mysql|select|参考|参考手册|函数|中文 MySQL 4.1.0 中文参考手册 --- 犬犬(心帆)翻译 MySQL Reference Manual for version 4.1.0- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7Z4Ob.html" rel="bookmark" class="title">asp横向显示数据代码</a>
					<div>
						&lt;%  sql=&quot;select * from serr where order by id asc&quot; set rs=server.createobject(&quot;ado ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2LJob.html" rel="bookmark" class="title">关于UI设计你需要自问的10个问题</a>
					<div>
						UI 设计的魅力在于,你不仅需要适当的技巧,更要理解用户与程序的关系.一个有效的用户界面关注的是用户目标的实现,包括视觉元素与功能操作在内的所有东西都 需要完整一致.为了实现这个目标,你需要问自己 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4vxAp.html" rel="bookmark" class="title">php支付宝接口用法分析</a>
					<div>
						 这篇文章主要介绍了php支付宝接口用法,以实例形式较为详细的分析了php支付宝接口的使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了php支付宝接口用法.分享给大家供大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNw4Ab.html" rel="bookmark" class="title">jquery将一个表单序列化为一个对象的方法</a>
					<div>
						  代码如下: var aa=function(form){ var o={}; $.each(form.serializeArray(),function(index){ if(o[this['na ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7VjOb.html" rel="bookmark" class="title">WinRAR如何快速批量转换压缩包</a>
					<div>
						  如果想把其他格式的压缩包转换为RAR包,有个简单的办法.先把这些压缩包放到一个文件夹下,如H:fan.然后打开WinRAR,单击&quot;命令&quot;菜单中的&quot;转换压缩文件格式&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw4Wdp.html" rel="bookmark" class="title">win7系统双击文件夹弹出搜索界面的解决方法</a>
					<div>
						  其实win7系统一直很稳定,但时间久了必然会出现一定的问题,下面小编就为大家介绍一个不常出现,但是一旦出现又很麻烦的问题.win7旗舰版系统双击文件夹弹出搜索界面,这两个看似不可能同时出现的页面却 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGer7b.html" rel="bookmark" class="title">最省电的Wi-Fi诞生了 拥有低功耗功能</a>
					<div>
						  史上最省电的WiFi你见过吗?6月3日消息,在2015台北COMPUTEX电子展上,瑞芯微电子Rockchip宣布与第三方推出全球最低功耗WiFi-RKi6000,该技术使WiFi功耗与BT4.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkAL2b.html" rel="bookmark" class="title">JAVA中用Graphics画图时，点与点的间隔时间问题</a>
					<div>
						问题描述 小弟第一次在此论坛发帖,所以失礼之处多多见谅正题,想做一个画图认证方面的研究,在用JAVA作的图形收集程序中发现.用Graphics收集到的点的信息,点和点之间的间隔大约是8毫秒,但是也不固 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwWlKM.html" rel="bookmark" class="title">医疗行业互联网营销思路</a>
					<div>
						医疗行业互联网营销思路总体说来应该可以分成四个方面. 最基础的团队建设,对于任何一个企业人才永远是处于基础而又是核心地位. 最重要的营销思路,没有理想的营销思路有算给你最好的团队,那也不过是南辕北辙. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nx66z.html" rel="bookmark" class="title">美国土安全部发警告：尽快卸载QuickTime for Windows</a>
					<div>
						继趋势科技报告QuickTime for Windows软件存在两项0-Day漏洞之后,美国国土安全部(DHS)今天发布的最新警告中要求用户立即卸载该应用程序.自今年1月份Windows平台的Quic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PqLQp.html" rel="bookmark" class="title">sql-请问我这个SQL哪错了哪错了</a>
					<div>
						问题描述 请问我这个SQL哪错了哪错了 update mbb set mbb.bs=newhljmzb.mzmc from newhljmzb where mbb.ksh=newhljmzb.ksh请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2rjnb.html" rel="bookmark" class="title">《算法技术手册》一3&period;7 参考文献</a>
					<div>
						3.7 参考文献 Goldberg, D., &quot;What Every Computer Scientist Should Know About Floating-Point Arithmet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7gonz.html" rel="bookmark" class="title">深度探索C&plus;&plus;对象模型--------默认构造函数</a>
					<div>
						一:默认构造函数的构建      默认构造函数总是在被需要的时候构建出来!!关键字&quot;被需要的时候&quot;!! class Foo { public: int val; Foo *next ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRxVOb.html" rel="bookmark" class="title">iis6 1 域名绑定-iis6&period;1域名绑定后不能访问网站</a>
					<div>
						问题描述 iis6.1域名绑定后不能访问网站 服务器原80端口映射成9999端口,绑定域名后不能访问网站,Internet Explorer 无法显示该网页.(服务器在别人的机房里)iis绑定设置如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rLEjp.html" rel="bookmark" class="title">IBM JVM heap 改到2G运行缓慢 为什么</a>
					<div>
						问题描述 IBM WebSphere6.1 JVM 5.0 winserver 64 系统heap Xms512m Xmx1024 运行还流畅 加大一倍到 1024 2048 怎么就奇慢无比了呢? 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY86Qp.html" rel="bookmark" class="title">【网站安全】网站被挂木马与777权限的奥妙</a>
					<div>
						某天站长平台的微信群里的一位同学说网站被人挂马了,查了半天也查不到原因.艺龙SEO负责人刘明问了一句&quot;是不是技术把linux系统里网站的核心目录设置777文件权限了&quot;,同学查后发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0xo4M.html" rel="bookmark" class="title">byte-BitmapFactory&period;decodeByteArray中各个参数的的含义</a>
					<div>
						问题描述 BitmapFactory.decodeByteArray中各个参数的的含义 BitmapFactory.decodeByteArray(byte[] data,int offset,int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r42Kp.html" rel="bookmark" class="title">二维码-如何实现微信扫一扫实现让PC端触发事件功能</a>
					<div>
						问题描述 如何实现微信扫一扫实现让PC端触发事件功能 希望实现以下功能,请大家给个思路: 1.PC端生成一个二维码,类似微信网页版登录(http://weixin.qq.com) 2.用手机微信公众号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK54mAp.html" rel="bookmark" class="title">微信营销中的骗局 营销作用不能被神话</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 前两天写了一篇文章&lt;微信营销的误区&gt;,说到了现在微信营销中的一些错误看法.这篇更进一步谈谈微信营销中的一些骗局,推荐大家把这两篇文章结合起来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKrAqp.html" rel="bookmark" class="title">mysql-关于MHA在perl 同步测试时报错请问如何解决？？？</a>
					<div>
						问题描述 关于MHA在perl 同步测试时报错请问如何解决??? Sat Apr 2 02:25:21 2016 - [info] Checking MHA Node version.. Sat Ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjRloM.html" rel="bookmark" class="title">《Adobe Illustrator CC 2014中文版经典教程（彩色版）》&mdash;第1课0&period;15节创建剪切蒙版</a>
					<div>
						0.15 创建剪切蒙版 Adobe Illustrator CC 2014中文版经典教程(彩色版) 剪切蒙版是一个对象,它会遮罩其他图稿,让其他图稿仅在它所给形状内的部分可见--从效果而言,就是将画稿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodQ2EM.html" rel="bookmark" class="title">《敏捷迭代开发：管理者指南》&mdash;第1章1&period;2节后续内容预告</a>
					<div>
						1.2 后续内容预告 敏捷迭代开发:管理者指南 接下来的两章会概述迭代.渐进和敏捷方法的基本实践和观点.之后,第4章会通过具体的场景阐述这些实践. 本文仅用于学习和交流目的,不代表异步社区观点.非商业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjGrGM.html" rel="bookmark" class="title">lua 函数参数传递问题</a>
					<div>
						问题描述 lua 函数参数传递问题 function test(t) t1 = t table.insert(t1,10) end t = {1,2,3,4} test(t) for k, v in  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Bodz.html" rel="bookmark" class="title">eclipse如何忽略js文件报错&lpar;附图&rpar;&lowbar;javascript技巧</a>
					<div>
						忽略某个js文件报错的方法: Project Properties &gt; JavaScript &gt; Include Path &gt; Source &gt; 选中Exclude &gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6JLJM.html" rel="bookmark" class="title">佳能500D相机所使用电池解析</a>
					<div>
						给各位摄影爱好者们来详细的解析分享一下佳能500D相机所使用的电池. 解析分享: 佳能500D使用了1080mAh容量的LP-E5锂电池,一次充电可以满足500张以上的拍摄,搭配SD/SDHC存储卡也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NAgmz.html" rel="bookmark" class="title">python实现字符串操作</a>
					<div>
						问题描述 python实现字符串操作 数据源如上. 我想实现得到的结果如上. 注:因为香蕉是大香蕉的子串,所以也算:因为苹果是小苹果的子串,所以也算是. 谢谢大神.我的垃圾代码如下:希望大神不吝赐教! ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
